<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
-->
<html>

<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

<title>Adding MIDlets to a MIDP Project's Classpath</title>

<link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>
<h2>Adding  Libraries and Resources to a MIDP Project</h2>

<p><small><a href="#seealso">See Also</a></small>

<p>Adding a group of class files to a project's classpath tells the IDE which
  classes the project should have access to during compilation and execution.
  Use the Libraries &amp; Resources properties page to add or remove additional
  libraries, projects, or JAR and ZIP files to a classpath for a
  <object
classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content"
value="../glossary/gloss_deviceconfiguration.html">
    <param name="viewerActivator"
value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="project configuration">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontSize" value="small">
    <param name="textFontWeight" value="bold">
    <param name="textFontStyle" value="italic">
    <param name="textColor" value="blue">
  </object>
.</p>
<ul class="note">
<li>If you are setting the properties for a project configuration 
other than the default configuration (<code>DefaultConfiguration</code>), you
must uncheck the Use Values from &quot;DefaultConfiguration&quot; checkbox at
the top of the page to customize these options.</li>
  </ul>
<p>You can add the following item types to your project: </p>
<ul>
  <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Project</a>.</b> The
    JAR file produced by another project, as well as the associated source files
    and Javadoc documentation. Adding this item
    to a class path sets up a dependency between the current project and the
    selected JAR.</li>
  <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">Library</a>. </b>A
    collection of JAR files or folders with compiled classes, which can optionally
    have associated source files and Javadoc documentation. </li>
  <li><b>JAR file.</b> A JAR file somewhere on your system. Adding a JAR file
    creates a library entry named by the JAR and containing the JAR. </li>
  <li><strong>Folder. </strong>The root of a package or directory containing
    files. Adding a folder does not create a library entry.</li>
</ul>
<p><strong>To add a project, file, folder or library to the project's classpath:</strong></p>
<ol>
  <li>Choose File <img src="../images/arrow.gif" alt="and choose " width="5" height="11"> <em>&quot;active
        project name&quot;</em> properties.<br>
This opens the Project Properties dialog.</li>
  <li>Expand  Build <img src="../images/expand.gif" alt="and expand " width="12" height="12"> Libraries &amp; Resources
    in the left pane.</li>
  <li>Click on the appropriate button to open a file chooser for that item type.<br>
    Clicking
    the Add Library button opens the Library Manager, where you can add or edit
  library classes.</li>
</ol>
<ul class="note"><li>If a project
          has multiple distribution JAR files,  all of the JARs appear in the
          Project Jar Files window. You will need to select the correct version
          of the JAR file to include with the project configuration.</li>
      </ul>
<dl>
<dt><a name="seealso">See Also</a></dt>
<dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">Managing the Classpath</a></dd>
<dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">About Java Class Libraries</a></dd>
</dl>

<hr>

<small><a href="../getstarted/credits.html">Legal Notices</a></small>

<table border="0" cellpadding="20">

  <tr>

    <td width="398">&nbsp;</td>

  </tr>

  <tr>

    <td>&nbsp;</td>

  </tr>

  <tr>

    <td>&nbsp;</td>

  </tr>

</table>

</body>

</html>

